# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit 416dd257274fd334be082b1138338adffa3e2d5e
    parent 75c9a0ee1d232a1a177746d97a13cf92b03da44a
    Author: Devin J. Pohly <djpohly@gmail.com>
    Date:   Tue, 17 Oct 2017 16:46:26 -0500

    Move X-related config.h types into x.c

    No need to expose Shortcut, MouseShortcut, and Key anymore.

    Signed-off-by: Devin J. Pohly <djpohly@gmail.com>

    Diffstat:
    Mst.h | 23-----------------------
    Mx.c | 24++++++++++++++++++++++++

    2 files changed, 24 insertions(+), 23 deletions(-)
    diff --git a/st.h b/st.h
    @@ -135,12 +135,6 @@ typedef struct {
     } TermWindow;

     typedef struct {
    -	uint b;
    -	uint mask;
    -	char *s;
    -} MouseShortcut;
    -
    -typedef struct {
     	int mode;
     	int type;
     	int snap;
    @@ -170,23 +164,6 @@ typedef union {
     	const void *v;
     } Arg;

    -typedef struct {
    -	uint mod;
    -	KeySym keysym;
    -	void (*func)(const Arg *);
    -	const Arg arg;
    -} Shortcut;
    -
    -typedef struct {
    -	KeySym k;
    -	uint mask;
    -	char *s;
    -	/* three valued logic variables: 0 indifferent, 1 on, -1 off */
    -	signed char appkey;    /* application keypad */
    -	signed char appcursor; /* application cursor */
    -	signed char crlf;      /* crlf mode          */
    -} Key;
    -
     void die(const char *, ...);
     void redraw(void);

    diff --git a/x.c b/x.c
    @@ -20,6 +20,30 @@ static char *argv0;
     #include "st.h"
     #include "win.h"

    +/* types used in config.h */
    +typedef struct {
    +	uint mod;
    +	KeySym keysym;
    +	void (*func)(const Arg *);
    +	const Arg arg;
    +} Shortcut;
    +
    +typedef struct {
    +	uint b;
    +	uint mask;
    +	char *s;
    +} MouseShortcut;
    +
    +typedef struct {
    +	KeySym k;
    +	uint mask;
    +	char *s;
    +	/* three valued logic variables: 0 indifferent, 1 on, -1 off */
    +	signed char appkey;    /* application keypad */
    +	signed char appcursor; /* application cursor */
    +	signed char crlf;      /* crlf mode          */
    +} Key;
    +
     /* function definitions used in config.h */
     static void clipcopy(const Arg *);
     static void clippaste(const Arg *);